# The HaruImage class

(PECL haru >= 0.0.1)

## Introduction

Haru PDF Image Class.

## Class synopsis

HaruImage {
/* Methods */
getBitsPerComponent ( void ) : int
getColorSpace ( void ) : string
getHeight ( void ) : int
getSize ( void ) : array
getWidth ( void ) : int
setColorMask ( int `$rmin` , int `$rmax` , int `$gmin` , int `$gmax` , int `$bmin` , int `$bmax` ) : bool
setMaskImage ( object `$mask_image` ) : bool
}

## Table of Contents

- HaruImage::getBitsPerComponent — Get the number of bits used to describe each color component of the image
- HaruImage::getColorSpace — Get the name of the color space
- HaruImage::getHeight — Get the height of the image
- HaruImage::getSize — Get size of the image
- HaruImage::getWidth — Get the width of the image
- HaruImage::setColorMask — Set the color mask of the image
- HaruImage::setMaskImage — Set the image mask